Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class IdentityProviderConstants

    java.lang.Object
      org.wso2.solutions.identity.IdentityProviderConstants

    public class IdentityProviderConstants

extends java.lang.Object

Constants of the identity provider

Nested Class Summary
`static class` | `IdentityProviderConstants.LocalNames` Local names of the identity provider constants
`static class` | `IdentityProviderConstants.Sample` Sample related constants of the identity provider

Field Summary
`static java.lang.String` | `ATTR_NS_CITY`
`static java.lang.String` | `ATTR_NS_COUNTRY`
`static java.lang.String` | `ATTR_NS_EMAIL_ADDRESS`
`static java.lang.String` | `ATTR_NS_GIVEN_NAME`
`static java.lang.String` | `ATTR_NS_HOME_PHONE`
`static java.lang.String` | `ATTR_NS_MOBILE_PHONE`
`static java.lang.String` | `ATTR_NS_POSTAL_CODE`
`static java.lang.String` | `ATTR_NS_STATE`
`static java.lang.String` | `ATTR_NS_STREET_ADDRESS`
`static java.lang.String` | `ATTR_NS_SURNAME`
`static java.lang.String` | `ATTR_NS_WORK_PHONE`
`static int` | `AUTH_TYPE_KEBEROS_TICKET`
`static int` | `AUTH_TYPE_SELF_ISSUED`
`static int` | `AUTH_TYPE_USERNAME_TOKEN`
`static int` | `AUTH_TYPE_X509_CERTIFICATE`
`static java.lang.String` | `DISPLAY_CITY`
`static java.lang.String` | `DISPLAY_COUNTRY`
`static java.lang.String` | `DISPLAY_EMAIL_ADDRESS`
`static java.lang.String` | `DISPLAY_GIVEN_NAME`
`static java.lang.String` | `DISPLAY_HOME_PHONE`
`static java.lang.String` | `DISPLAY_MOBILE_PHONE`
`static java.lang.String` | `DISPLAY_POSTAL_CODE`
`static java.lang.String` | `DISPLAY_STATE`
`static java.lang.String` | `DISPLAY_STREET_ADDRESS`
`static java.lang.String` | `DISPLAY_SURNAME`
`static java.lang.String` | `DISPLAY_WORK_PHONE`
`static java.lang.String` | `INITIAL_CLAIMS_FILE_PATH`
`static java.lang.String` | `ISSUER_SELF`
`static java.lang.String` | `PROPERTY_USER`
`static java.lang.String` | `RESOURCES`
`static java.lang.String` | `RP_USER_ROLE`
`static java.lang.String` | `SERVICE_NAME_MEX_IC`
`static java.lang.String` | `SERVICE_NAME_MEX_IC_SYMM`
`static java.lang.String` | `SERVICE_NAME_MEX_UT`
`static java.lang.String` | `SERVICE_NAME_MEX_UT_SYMM`
`static java.lang.String` | `SERVICE_NAME_STS_IC`
`static java.lang.String` | `SERVICE_NAME_STS_IC_SYMM`
`static java.lang.String` | `SERVICE_NAME_STS_UT`
`static java.lang.String` | `SERVICE_NAME_STS_UT_SYMM`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES

    public static final java.lang.String RESOURCES

See Also:
  Constant Field Values

### INITIAL_CLAIMS_FILE_PATH

    public static final java.lang.String INITIAL_CLAIMS_FILE_PATH

See Also:
  Constant Field Values

### PROPERTY_USER

    public static final java.lang.String PROPERTY_USER

See Also:
  Constant Field Values

### ATTR_NS_GIVEN_NAME

    public static final java.lang.String ATTR_NS_GIVEN_NAME

See Also:
  Constant Field Values

### ATTR_NS_SURNAME

    public static final java.lang.String ATTR_NS_SURNAME

See Also:
  Constant Field Values

### ATTR_NS_EMAIL_ADDRESS

    public static final java.lang.String ATTR_NS_EMAIL_ADDRESS

See Also:
  Constant Field Values

### ATTR_NS_STREET_ADDRESS

    public static final java.lang.String ATTR_NS_STREET_ADDRESS

See Also:
  Constant Field Values

### ATTR_NS_CITY

    public static final java.lang.String ATTR_NS_CITY

See Also:
  Constant Field Values

### ATTR_NS_STATE

    public static final java.lang.String ATTR_NS_STATE

See Also:
  Constant Field Values

### ATTR_NS_POSTAL_CODE

    public static final java.lang.String ATTR_NS_POSTAL_CODE

See Also:
  Constant Field Values

### ATTR_NS_COUNTRY

    public static final java.lang.String ATTR_NS_COUNTRY

See Also:
  Constant Field Values

### ATTR_NS_HOME_PHONE

    public static final java.lang.String ATTR_NS_HOME_PHONE

See Also:
  Constant Field Values

### ATTR_NS_WORK_PHONE

    public static final java.lang.String ATTR_NS_WORK_PHONE

See Also:
  Constant Field Values

### ATTR_NS_MOBILE_PHONE

    public static final java.lang.String ATTR_NS_MOBILE_PHONE

See Also:
  Constant Field Values

### DISPLAY_GIVEN_NAME

    public static final java.lang.String DISPLAY_GIVEN_NAME

See Also:
  Constant Field Values

### DISPLAY_SURNAME

    public static final java.lang.String DISPLAY_SURNAME

See Also:
  Constant Field Values

### DISPLAY_EMAIL_ADDRESS

    public static final java.lang.String DISPLAY_EMAIL_ADDRESS

See Also:
  Constant Field Values

### DISPLAY_STREET_ADDRESS

    public static final java.lang.String DISPLAY_STREET_ADDRESS

See Also:
  Constant Field Values

### DISPLAY_CITY

    public static final java.lang.String DISPLAY_CITY

See Also:
  Constant Field Values

### DISPLAY_STATE

    public static final java.lang.String DISPLAY_STATE

See Also:
  Constant Field Values

### DISPLAY_POSTAL_CODE

    public static final java.lang.String DISPLAY_POSTAL_CODE

See Also:
  Constant Field Values

### DISPLAY_COUNTRY

    public static final java.lang.String DISPLAY_COUNTRY

See Also:
  Constant Field Values

### DISPLAY_HOME_PHONE

    public static final java.lang.String DISPLAY_HOME_PHONE

See Also:
  Constant Field Values

### DISPLAY_WORK_PHONE

    public static final java.lang.String DISPLAY_WORK_PHONE

See Also:
  Constant Field Values

### DISPLAY_MOBILE_PHONE

    public static final java.lang.String DISPLAY_MOBILE_PHONE

See Also:
  Constant Field Values

### ISSUER_SELF

    public static final java.lang.String ISSUER_SELF

See Also:
  Constant Field Values

### SERVICE_NAME_STS_UT

    public static final java.lang.String SERVICE_NAME_STS_UT

See Also:
  Constant Field Values

### SERVICE_NAME_STS_UT_SYMM

    public static final java.lang.String SERVICE_NAME_STS_UT_SYMM

See Also:
  Constant Field Values

### SERVICE_NAME_STS_IC

    public static final java.lang.String SERVICE_NAME_STS_IC

See Also:
  Constant Field Values

### SERVICE_NAME_STS_IC_SYMM

    public static final java.lang.String SERVICE_NAME_STS_IC_SYMM

See Also:
  Constant Field Values

### SERVICE_NAME_MEX_UT

    public static final java.lang.String SERVICE_NAME_MEX_UT

See Also:
  Constant Field Values

### SERVICE_NAME_MEX_UT_SYMM

    public static final java.lang.String SERVICE_NAME_MEX_UT_SYMM

See Also:
  Constant Field Values

### SERVICE_NAME_MEX_IC

    public static final java.lang.String SERVICE_NAME_MEX_IC

See Also:
  Constant Field Values

### SERVICE_NAME_MEX_IC_SYMM

    public static final java.lang.String SERVICE_NAME_MEX_IC_SYMM

See Also:
  Constant Field Values

### AUTH_TYPE_USERNAME_TOKEN

    public static final int AUTH_TYPE_USERNAME_TOKEN

See Also:
  Constant Field Values

### AUTH_TYPE_KEBEROS_TICKET

    public static final int AUTH_TYPE_KEBEROS_TICKET

See Also:
  Constant Field Values

### AUTH_TYPE_X509_CERTIFICATE

    public static final int AUTH_TYPE_X509_CERTIFICATE

See Also:
  Constant Field Values

### AUTH_TYPE_SELF_ISSUED

    public static final int AUTH_TYPE_SELF_ISSUED

See Also:
  Constant Field Values

### RP_USER_ROLE

    public static final java.lang.String RP_USER_ROLE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD